CREATE TABLE IF NOT EXISTS pedido (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  idcustomer char(12) DEFAULT '',
  idsalesman char(8) DEFAULT '',
  idbodega varchar(8) DEFAULT '',
  iduser varchar(8) DEFAULT '',
  idcc varchar(10) DEFAULT '',
  idzona varchar(9) DEFAULT '',
  t_ini datetime DEFAULT NULL,
  t_fin datetime DEFAULT NULL,
  pvp int default 1,  
  nota text,
  estado int(1) default 0,
  tipo int(1) default 0,
  descunit double default 0,
  subtx double default 0,
  subt0 double default 0,
  subtotal double default 0,
  iva double default 0,
  descuento double default 0,
  total double default 0,
  c_lat double default 0,
  c_lng double default 0,
  serie varchar (6) default '001001',
  efectivo  numeric(12,2) default 0,
  numdoc varchar (15) default '',
  idbank varchar (8) default '',
  cuenta varchar(20) default '',
  numero int(9) default 0,
  cliente varchar(140) DEFAULT '',
  comercio varchar(140) DEFAULT '',
  address varchar(200) DEFAULT '',
  ruc varchar(20) DEFAULT '',
  phone varchar(20) DEFAULT '',
  city varchar(40) DEFAULT '',
  email varchar(100) DEFAULT '',
  accion int default 0,
  idtipoventa varchar(8) DEFAULT '00000001',
  formapago int default 11
) ;

CREATE INDEX IF NOT EXISTS iidcustomer ON pedido (idcustomer);
CREATE INDEX IF NOT EXISTS iidsalesman ON pedido (idsalesman);
CREATE INDEX IF NOT EXISTS iidbodega ON pedido (idbodega);
CREATE INDEX IF NOT EXISTS iidcc ON pedido (idcc);
CREATE INDEX IF NOT EXISTS iizona ON pedido (idzona);

CREATE TABLE IF NOT EXISTS pedidodet (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  idpedido int(11) default 0,
  iditem char(12) default '',
  precio double default 0,
  iva int(1) default 1,
  ok int(1) default 0,
  descunit double default 0,  
  cantidad double default 0,
  pvp int default 1, 
  subtotal double default 0,
  iditemprom varchar(12) default '',
  cantprom double default 0,
  fechaentrega datetime,
  lprom bool default 0,
  nota text
);
CREATE INDEX IF NOT EXISTS iidpedido ON pedidodet (idpedido);


CREATE TABLE IF NOT EXISTS cxc (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  referencia varchar(30),
  fecha date,
  vence date,
  total double default 0,
  saldo double default 0,
  cuota int default 1,
  idcustomer varchar(12) default ''
);
CREATE INDEX IF NOT EXISTS icxc ON cxc (idcustomer);

CREATE TABLE IF NOT EXISTS brand (
  id varchar(8) PRIMARY KEY,
  name varchar(50) DEFAULT '',
  codigo varchar(20) DEFAULT ''
  ) ;

CREATE TABLE IF NOT EXISTS grupo (
  id varchar(9) PRIMARY KEY,
  name varchar(50) DEFAULT '',
  grupo varchar(20) DEFAULT ''
);

CREATE TABLE IF NOT EXISTS item (
  id varchar(12) PRIMARY KEY,
  name varchar(100) DEFAULT '',
  note text,
  partnumber varchar(20) DEFAULT '',
  codigo2 varchar(20) DEFAULT '',
  price double DEFAULT 0,
  priceb double DEFAULT 0,
  pricec double DEFAULT 0,
  priced double DEFAULT 0,
  pricee double DEFAULT 0,
  stock double DEFAULT 0,
  BaseCant int DEFAULT 0,
  PromCant int DEFAULT 0,
  Base2 int DEFAULT 0,
  Prom2 int DEFAULT 0,
  act_prom2 int DEFAULT 0,
  descEsp double DEFAULT 0,
  PromDesc double DEFAULT 0,
  PorcDesc1 double DEFAULT 0,
  PorcDesc2 double DEFAULT 0,
  PorcDesc3 double DEFAULT 0,
  PorcDesc4 double DEFAULT 0,
  PorcDesc5 double DEFAULT 0,
  unidadescaja numeric(7,3) DEFAULT 0,
  idbrand varchar(8) default '',
  idgrupo varchar(9) default '',
  idprom varchar(10) default '',
  idsupplier varchar(12) default '',
  idItemProm varchar(12) DEFAULT '',
  idcc varchar(10) default '',
  idcp varchar(10) default '',
  iva int DEFAULT 0,
  isservice int default 0,
  tipo varchar(2) default '',    
  pedido double default 0, 
  stk00 double DEFAULT 0,
  stk01 double DEFAULT 0,
  stk02 double DEFAULT 0,
  stk03 double DEFAULT 0,
  stk04 double DEFAULT 0,
  stk05 double DEFAULT 0,
  stk06 double DEFAULT 0,
  stk07 double DEFAULT 0,
  stk08 double DEFAULT 0,
  stk09 double DEFAULT 0,
  stk10 double DEFAULT 0,
  stk11 double DEFAULT 0,
  stk12 double DEFAULT 0,
  stk13 double DEFAULT 0,
  stk14 double DEFAULT 0,
  stk15 double DEFAULT 0,
  stk16 double DEFAULT 0,
  stk17 double DEFAULT 0,
  stk18 double DEFAULT 0,
  stk19 double DEFAULT 0,
  stk20 double DEFAULT 0,
  stk21 double DEFAULT 0,
  stk22 double DEFAULT 0,
  stk23 double DEFAULT 0,
  stk24 double DEFAULT 0,
  stk25 double DEFAULT 0,
  stk26 double DEFAULT 0,
  stk27 double DEFAULT 0,
  stk28 double DEFAULT 0,
  stk29 double DEFAULT 0,
  stk30 double DEFAULT 0,
  stk31 double DEFAULT 0,
  stk32 double DEFAULT 0,
  stk33 double DEFAULT 0,
  stk34 double DEFAULT 0,
  stk35 double DEFAULT 0,
  stk36 double DEFAULT 0,
  stk37 double DEFAULT 0,
  stk38 double DEFAULT 0,
  stk39 double DEFAULT 0,
  stk40 double DEFAULT 0,
  stk41 double DEFAULT 0,
  stk42 double DEFAULT 0,
  stk43 double DEFAULT 0,
  stk44 double DEFAULT 0,
  stk45 double DEFAULT 0,
  stk46 double DEFAULT 0,
  stk47 double DEFAULT 0,
  stk48 double DEFAULT 0,
  stk49 double DEFAULT 0,
  stk50 double DEFAULT 0,
  stk51 double DEFAULT 0,
  stk52 double DEFAULT 0,
  stk53 double DEFAULT 0,
  stk54 double DEFAULT 0,
  stk55 double DEFAULT 0,
  stk56 double DEFAULT 0,
  stk57 double DEFAULT 0,
  stk58 double DEFAULT 0
 );

CREATE TABLE IF NOT EXISTS promodef (
    id 			VARCHAR(10) 	default '',
    name		VARCHAR(60) 	default '',
    codigo		VARCHAR(20) 	default '',
    estado		INTEGER(1) 		default 0,
    cantbase	DOUBLE 			default 0,
    cantprom	DOUBLE 			default 0,
    iditempromo	VARCHAR(12) 	default '',
    pda			NUMERIC(5,2)    default 0,
    pdb			NUMERIC(5,2)    default 0,
    pdc			NUMERIC(5,2)    default 0,
    pdd			NUMERIC(5,2)    default 0,
    pde			NUMERIC(5,2)    default 0
) ;


	CREATE TABLE CLIENTES(ID INTEGER , CEDULA TEXT ,NOMBRE TEXT, COMERCIO TEXT, DIRECLIE TEXT, NOTAS TEXT, ESTADO TEXT, IDZONA NUMERIC,TIPOCLIE NUMERIC, TIPPRECIO NUMERIC,
				 VISITADO NUMERIC, RUTA NUMERIC, EDICION NUMERIC, FONOCLIE TEXT, CODIGO TEXT, CUPO NUMERIC, DIALUNES NUMERIC,
					DIAMARTES NUMERIC, DIAMIERCOLES NUMERIC, DIAJUEVES NUMERIC, DIAVIERNES NUMERIC, DIASABADO NUMERIC,
					DIADOMINGO NUMERIC, SECUENCIA	 NUMERIC, PLAZO NUMERIC, HORAVISITA TEXT,SINCRONIZADO NUMERIC,
					FECHASINCRONIZADO TEXT, SALDO NUMERIC,EMAIL TEXT,TIPOID VARCHAR(1) );


CREATE TABLE IF NOT EXISTS customer (
  id integer PRIMARY KEY ,
  ruc varchar(20),
  name varchar(140),
  comercio varchar(140),
  address varchar(200),
  city varchar(40),
  email varchar(100),
  phone varchar(20),
  pvp numeric(1) DEFAULT 1,
  codigo varchar(20),
  opcionpvp integer,
  idsalesman integer,
  idzona integer,
  notas text,
  estado text,
  tipoclie integer,
  visitado integer,
  ruta integer,
  edicion integer,
  cupo numeric,
  secuencia numeric,
  horavisita text,
  saldo double
  ) ;
  
CREATE INDEX IF NOT EXISTS iruc ON customer (ruc);
CREATE INDEX IF NOT EXISTS iidsalesman ON customer (idsalesman);


CREATE TABLE IF NOT EXISTS supplier (
  id varchar(12) PRIMARY KEY,
  ruc varchar(20),
  name varchar(140),
  comercio varchar(140),
  address varchar(200),
  city varchar(40),
  email varchar(100),
  phone varchar(20)
  ) ;
  
CREATE INDEX IF NOT EXISTS iruc  ON supplier (ruc);

CREATE TABLE IF NOT EXISTS salesman(
  id varchar(8) PRIMARY KEY,
  name varchar(100),
  code varchar(10),
  login varchar(20),
  clave varchar(20) DEFAULT '1234',
  nota varchar(150)
 ) ;		

CREATE TABLE IF NOT EXISTS user (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  name varchar(20),
  pw varchar(20) ,
  role int default 0,
  formapago int default 11,
  iduser varchar(8)
 );

CREATE TABLE IF NOT EXISTS usuario (
  id varchar(8) PRIMARY KEY ,
  name varchar(60),
  login varchar(20),
  password varchar(20) ,
  idbodega varchar(8),
  idsalesman varchar(8),
  idcc varchar(10),
  iddepartuser varchar(8),
  idemploy varchar(12),
  emailuser varchar(50),
  seriepv varchar(6)
);

CREATE TABLE IF NOT EXISTS zonas (
  id varchar(9) PRIMARY KEY ,
  name varchar(100)
);

CREATE TABLE IF NOT EXISTS bodega (
  id varchar(8) PRIMARY KEY ,
  name varchar(100)
);

CREATE TABLE IF NOT EXISTS centercost (
  id varchar(10) PRIMARY KEY ,
  name varchar(100)
);	


CREATE TABLE IF NOT EXISTS contprod (
  id varchar(10) PRIMARY KEY ,
  name varchar(100)
) ;


CREATE TABLE IF NOT EXISTS prom2 (
	idItem			VARCHAR(12) 	default '',
	idItemProm		VARCHAR(12) 	default ''
) ;
	
CREATE INDEX IF NOT EXISTS iItem ON prom2 (idItem);
CREATE INDEX IF NOT EXISTS iItemProm ON prom2 (idItemProm);
	

CREATE TABLE IF NOT EXISTS ctrl_venta (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  idsalesman varchar(8),
  idgrupo varchar(12),
  mes varchar(6),
  venta double DEFAULT 0,
  budget double DEFAULT 0
) ;

CREATE TABLE IF NOT EXISTS role (
  id INTEGER PRIMARY KEY autoincrement,
  role1 varchar(40),
  role2 varchar(40),
  role3 varchar(40),
  role4 varchar(40)
  ) ;

CREATE TABLE IF NOT EXISTS msg (
  id INTEGER PRIMARY KEY,
  idfrom int(10) default 0,
  idto int(10) default 0,
  prio int default 0,
  msg text,
  tiempo datetime ,
  tleido datetime ,
  estado int default 0
) ;
CREATE INDEX IF NOT EXISTS ifrom ON msg (idfrom);
CREATE INDEX IF NOT EXISTS ito ON msg (idto);

CREATE TABLE IF NOT EXISTS data_fin (
  id INTEGER PRIMARY KEY,
  bdd varchar(30),
  periodo varchar(6),
  code varchar(25),
  name varchar(240),
  idcc varchar(10),
  idcp varchar(10),
  valor double DEFAULT 0
) ;

CREATE TABLE IF NOT EXISTS plan (
  id INTEGER PRIMARY KEY,
  code varchar(25),
  name varchar(240),
  istrans int default 0,
  apc int default 0
) ;

CREATE TABLE IF NOT EXISTS bank (
  id varchar(8) PRIMARY KEY,
  name varchar(100)
) ;

CREATE TABLE IF NOT EXISTS tipoventa (
  id varchar(8) PRIMARY KEY ,
  name varchar(50)
) ;

CREATE TABLE IF NOT EXISTS costeo (
  id INTEGER PRIMARY KEY,
  idcp varchar(10),
  periodo varchar(6)
) ;

CREATE TABLE IF NOT EXISTS costeodet (
  id INTEGER PRIMARY KEY,
  idcosteo int(10) NOT NULL ,
  idcc varchar(10),
  idcp varchar(10),
  peso double DEFAULT 0,
  valor double DEFAULT 0
  ) ;
  
CREATE INDEX IF NOT EXISTS icosteo ON costeodet (idcosteo);


CREATE TABLE IF NOT EXISTS periodo (
  id INTEGER PRIMARY KEY,
  periodo varchar(06),
  nombre varchar(30)
);
